package com.lerx.entities;

import org.hibernate.search.annotations.DocumentId;
import org.hibernate.search.annotations.Indexed;

import com.lerx.interceptor.AlbgenreIndexStatusInterceptor;

@Indexed(interceptor=AlbgenreIndexStatusInterceptor.class)
public class Albgenre {
	
	private long id;
	private String name;
	private String description;
	private String uuid;
	private boolean status;
	private boolean open;			//是否公开
	private boolean free;			//是否可以自己申请
	private boolean comm;
	private boolean poll;
	private boolean release;		//发文
	private boolean artClassifyCustom;
	private boolean lockAlbName;
	private boolean freeArtAddTime;
	private int quota;
	private long createTime;
	private String markLogoUrl;
	private String banner;
	private String folder;
	private User creator;
	private String agreement;
	private int mangers;
	private long totalAlbums;
	private int aacs;
	private String url;
	private String allowedGidStr;
	private int countAllowedGid;
	
	private TempletAlbgenreMain templet;
	
	@DocumentId
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public boolean isStatus() {
		return status;
	}
	public void setStatus(boolean status) {
		this.status = status;
	}
	public boolean isOpen() {
		return open;
	}
	public void setOpen(boolean open) {
		this.open = open;
	}
	public boolean isFree() {
		return free;
	}
	public void setFree(boolean free) {
		this.free = free;
	}
	public boolean isComm() {
		return comm;
	}
	public void setComm(boolean comm) {
		this.comm = comm;
	}
	public int getQuota() {
		return quota;
	}
	public void setQuota(int quota) {
		this.quota = quota;
	}
	public long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(long createTime) {
		this.createTime = createTime;
	}
	public String getMarkLogoUrl() {
		return markLogoUrl;
	}
	public void setMarkLogoUrl(String markLogoUrl) {
		this.markLogoUrl = markLogoUrl;
	}
	public String getBanner() {
		return banner;
	}
	public void setBanner(String banner) {
		this.banner = banner;
	}
	public User getCreator() {
		return creator;
	}
	public void setCreator(User creator) {
		this.creator = creator;
	}
	public boolean isPoll() {
		return poll;
	}
	public void setPoll(boolean poll) {
		this.poll = poll;
	}
	public boolean isRelease() {
		return release;
	}
	public void setRelease(boolean release) {
		this.release = release;
	}
	public boolean isArtClassifyCustom() {
		return artClassifyCustom;
	}
	public void setArtClassifyCustom(boolean artClassifyCustom) {
		this.artClassifyCustom = artClassifyCustom;
	}
	public boolean isLockAlbName() {
		return lockAlbName;
	}
	public void setLockAlbName(boolean lockAlbName) {
		this.lockAlbName = lockAlbName;
	}
	public String getFolder() {
		return folder;
	}
	public void setFolder(String folder) {
		this.folder = folder;
	}
	public TempletAlbgenreMain getTemplet() {
		return templet;
	}
	public void setTemplet(TempletAlbgenreMain templet) {
		this.templet = templet;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getAgreement() {
		return agreement;
	}
	public void setAgreement(String agreement) {
		this.agreement = agreement;
	}
	public int getMangers() {
		return mangers;
	}
	public void setMangers(int mangers) {
		this.mangers = mangers;
	}
	public int getAacs() {
		return aacs;
	}
	public void setAacs(int aacs) {
		this.aacs = aacs;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getAllowedGidStr() {
		return allowedGidStr;
	}
	public void setAllowedGidStr(String allowedGidStr) {
		this.allowedGidStr = allowedGidStr;
	}
	public int getCountAllowedGid() {
		return countAllowedGid;
	}
	public void setCountAllowedGid(int countAllowedGid) {
		this.countAllowedGid = countAllowedGid;
	}
	public long getTotalAlbums() {
		return totalAlbums;
	}
	public void setTotalAlbums(long totalAlbums) {
		this.totalAlbums = totalAlbums;
	}
	public boolean isFreeArtAddTime() {
		return freeArtAddTime;
	}
	public void setFreeArtAddTime(boolean freeArtAddTime) {
		this.freeArtAddTime = freeArtAddTime;
	}

}
